<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode CMC</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="CLTS.htm"> CLTS Clear Task-Switched Flag in CR0</A><BR><B>next:</B><A HREF="CMP.htm"> CMP Compare Two Operands</A><P><HR><P><H1>CMC -- Complement Carry Flag</H1><PRE>
Opcode    Instruction    Clocks   Description

F5        CMC            2        Complement carry flag
</PRE><H2>Operation</H2><PRE>
CF := NOT CF;
</PRE><H2>Description</H2>CMC reverses the setting of the carry flag. No other flags are affected.<H2>Flags Affected</H2>CF as described above<H2>Protected Mode Exceptions</H2>None<H2>Real Address Mode Exceptions</H2>None<H2>Virtual 8086 Mode Exceptions</H2>None<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="CLTS.htm"> CLTS Clear Task-Switched Flag in CR0</A><BR><B>next:</B><A HREF="CMP.htm"> CMP Compare Two Operands</A> </BODY>